#
# spec file for package shadow (Version 20000902)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gettext
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         shadow
Copyright:    BSD;GPL
Group:        System Environment/Base
Autoreqprov:  on
Version:      20000902
Release:      144
Summary:      Shadow password suite
Source:       shadow-20000902.tar.bz2
Source1:      pam_login-3.2.tar.bz2
Source2:      passwd.pamd
Source3:      chsh.pamd
Source4:      chfn.pamd
Source5:      shadow-ja.po
Source6:      shadow-ko.po
Source7:      default.useradd
Patch:        shadow-20000902.dif
Patch1:       pam_login-3.2.dif
Patch2:       shadow-20000902.po.dif
Patch3:       shadow-20001016-groupfix.diff
Patch4:       login-pam-fix.diff
Buildroot:    %{_tmppath}/shadow-root

%description
This package is configured to prevent root login from other than local
consoles. To enable root login via TCP/IP, set ROOT_LOGIN_REMOTE
to "yes" in /etc/rc.config and run SuSEconfig.

SuSE series: a

%prep
%setup -b 1
%patch
%patch2
%patch3 -p1
cp -f %SOURCE5 po/ja.po
cp -f %SOURCE6 po/ko.po
cd ../pam_login-3.2
%patch1
%patch4
cd $RPM_BUILD_DIR
%{?suse_update_config:%{suse_update_config -f shadow-20000902}}

%build
gettextize --force
libtoolize --force
aclocal
automake
autoheader
autoconf
CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
	./configure --with-libpam --prefix=/usr \
	--enable-shadowgrp --disable-shared --mandir=%{_mandir} \
	%{_target_cpu}-suse-linux
make
cd ../pam_login-3.2
CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
	./configure %{_target_cpu}-suse-linux
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f /lib/libshadow*
mkdir -p $RPM_BUILD_ROOT/etc
install etc/login.defs.linux $RPM_BUILD_ROOT/etc/login.defs
ln $RPM_BUILD_ROOT/usr/sbin/vipw $RPM_BUILD_ROOT/usr/sbin/vigr
echo ".so man8/vipw.8" > $RPM_BUILD_ROOT%{_mandir}/man8/vigr.8
cd ../pam_login-3.2
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 etc/login.pamd $RPM_BUILD_ROOT/etc/pam.d/login
install -m 644 $RPM_SOURCE_DIR/passwd.pamd $RPM_BUILD_ROOT/etc/pam.d/passwd
install -m 644 $RPM_SOURCE_DIR/chfn.pamd $RPM_BUILD_ROOT/etc/pam.d/chfn
install -m 644 $RPM_SOURCE_DIR/chsh.pamd $RPM_BUILD_ROOT/etc/pam.d/chsh
mkdir -p $RPM_BUILD_ROOT/etc/default
install -m 644 $RPM_SOURCE_DIR/default.useradd $RPM_BUILD_ROOT/etc/default/useradd

%files
%config /etc/login.defs
%config /etc/pam.d/*
%config(noreplace) /etc/default/useradd
/bin/*
/usr/bin/*
%doc doc/HOWTO doc/README doc/CHANGES doc/LICENSE doc/WISHLIST doc/README.linux
%doc %{_mandir}/man?/*
/usr/sbin/*
/usr/share/locale/*/LC_MESSAGES/shadow.mo

%changelog -n shadow
* Thu Oct 11 2001 - kukuk@suse.de
- Fix problem with login that pam modules could overwrite user data
* Tue Sep 11 2001 - kukuk@suse.de
- Fix bug where group entries are truncated if the line is longer
  then 4096 bytes.
* Mon Sep 03 2001 - kukuk@suse.de
- Use LFS to support 32bit UIDs
- Fix a lot of bugs vs. 32bit support
* Tue Aug 14 2001 - kukuk@suse.de
- Remove absolute paths from login config file for PAM
* Mon Jul 30 2001 - kukuk@suse.de
- Move default/useradd from aaa_base into this package
- Use real defaults for default/useradd [Bug #9366]
- Mark as config/noreplace
* Mon Jun 04 2001 - kukuk@suse.de
- Fix to compile with new tools
* Fri May 11 2001 - schwab@suse.de
- Fix missing declarations.
* Sun Apr 29 2001 - kukuk@suse.de
- Add UMASK back to /etc/login.defs [Bug #7383]
* Sat Apr 21 2001 - kukuk@suse.de
- Fix flushing of nscd cache to work on all plattforms
* Thu Apr 12 2001 - kukuk@suse.de
- Call gettextize
* Thu Apr 12 2001 - kukuk@suse.de
- Add vigr [Bug #6926]
- Disable at first workarounds for ash [Bug #6928]
- Add uggly workaround for new gettext
* Wed Mar 28 2001 - kukuk@suse.de
- Remove parts of pam_login 3.2 fixes (contains race conditions)
* Sat Mar 24 2001 - kukuk@suse.de
- pam_login: Update to version 3.2
* Sat Feb 03 2001 - violiet@suse.de
- added Japanese and Korean message file.
* Tue Dec 05 2000 - kukuk@suse.de
- set min. UID for new user to 500.
- Remove 16bit ID patches to allow 32bit UIDs and GIDs
* Thu Sep 14 2000 - kukuk@suse.de
- pam_login: Add new login.defs variable
* Wed Sep 13 2000 - kukuk@suse.de
- Fix version string in spec file
- Remove more obsolete man pages
* Wed Sep 13 2000 - ro@suse.de
- removed su-manpage: is in sh_utils
* Tue Sep 12 2000 - kukuk@suse.de
- Update to shadow-20000902
- Use buildroot
* Sat Jul 15 2000 - kukuk@suse.de
- Disable pam_homecheck from pam login config file
* Fri May 05 2000 - kukuk@suse.de
- Add pam_homecheck to login pam config file
* Fri Apr 14 2000 - kukuk@suse.de
- Update pam_login to 3.1.1
* Sun Apr 02 2000 - bk@suse.de
- replaced config.{guess,sub} patches with config update macro (s390)
* Thu Feb 03 2000 - schwab@suse.de
- Update config.{guess,sub} to latest version.
* Fri Jan 21 2000 - kukuk@suse.de
- Add missing login.defs entries to pam_login
* Mon Jan 17 2000 - kukuk@suse.de
- Fix typo on pam config files
* Mon Jan 17 2000 - kukuk@suse.de
- pam_login: Update to 3.1
- shadow: Update pam config files, login.defs and manual page
- Move /usr/man to /usr/share/man
* Tue Oct 26 1999 - kukuk@suse.de
- login.defs: Remove unsupported PASS_MIN_LEN/PASS_MAX_LEN
* Sat Oct 23 1999 - kukuk@suse.de
- shadow: Add expiry.1 manual page
- shadow: Add fixes from current development (BUG#663)
- shadow/chage: Don't need to be suid root any longer
* Mon Oct 11 1999 - kukuk@suse.de
- Upgrade to pam_login 3.0
- Clear nscd cache after changes on passwd/group
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sat Sep 11 1999 - kukuk@suse.de
- Implement LOG_UNKFAIL_ENAB option
- login: Show tty name if we don't have a hostname
* Mon Sep 06 1999 - kukuk@suse.de
- login: set USER env. variable
* Fri Sep 03 1999 - kukuk@suse.de
- Update to shadow 19990827
- Add LOGIN_RETRIES and LOGIN_TIMEOUT to login
- Specfile cleanup
* Mon Jul 12 1999 - kukuk@suse.de
- Update to shadow 19990709
* Tue Jul 06 1999 - kukuk@suse.de
- login.pamd: put pam_securtty after pam_unix
- shadow: Add patches from Thomas Biege
* Wed Jun 30 1999 - kukuk@suse.de
- Include PAM patch for chfn
* Sun Jun 27 1999 - kukuk@suse.de
- Fix filelist
- Fix nullok parameters in *.pamd
* Fri Jun 25 1999 - kukuk@suse.de
- Finish pam_login 2.9s
* Mon Jun 21 1999 - kukuk@suse.de
- Patch shadow chfn/chsh to use PAM
* Tue Jun 15 1999 - kukuk@suse.de
- login: Implement FAIL_DELAY, fix pam.d/login config file
- Update shadow to 19990607
* Fri Jun 04 1999 - kukuk@suse.de
- Add login-2.9s.tar.gz
- Use PAM
* Tue Mar 09 1999 - ro@suse.de
- removed "-pipe" : yields problems
* Mon Feb 01 1999 - ro@suse.de
- changed check for libcrypt in Makefile.Linux
  to match on alpha as well
* Thu Jan 14 1999 - florian@suse.de
- add vipw with man-page to the filelist
* Sat Dec 05 1998 - bs@suse.de
- set PASS_MIN_DAYS to 0 in /etc/login.defs (10000 also means 0 but
  confuses the user).
* Mon Nov 23 1998 - ro@suse.de
- check if size of login.defs > 0
* Tue Oct 06 1998 - ro@suse.de
- re-added login.defs
* Tue Sep 29 1998 - ro@suse.de
- re-activated newgrp, chfn, chsh et. al. / removed no-suid
* Wed Sep 09 1998 - ro@suse.de
- added /usr/bin/no-suid to file-list
* Mon Aug 31 1998 - ro@suse.de
- upgrade to shadow-980724 with jurix-diff
- mkpasswd is no longer included (was broken anyway)
- sg is disabled / resides in usr/bin
- faillog and lastlog reside in usr/bin
- pw_auth.3 and pwauth.8 are no longer installed
- check for libcrypt when linking login
* Tue Feb 17 1998 - ro@suse.de
- added installation of pwconv and pwconv.8 to Makefile.Linux
* Fri Feb 13 1998 - bs@suse.de
- took pwconv into file list.
* Thu Aug 21 1997 - bs@suse.de
- disabled ULIMIT in /etc/login.defs
* Tue Jun 03 1997 - bs@suse.de
- switched to /etc/nologin in etc/login.defs
* Fri May 16 1997 - bs@suse.de
- removed /etc/login.defs.new -> /etc/login.defs behavior, since is not
  neded for rpm.
* Thu Jan 02 1997 - bs@suse.de
- login: fixed "*" as passwd. ("*" didn't lead to a lookup in shadow)
* Thu Jan 02 1997 - florian@suse.de
- completely new version
- disable the CONSOLE line in /etc/login.defs if you want to allow
  root login from any device
- useradd has a range of uids for new users. Please see /etc/login.defs
  and the man-pages for more information.
- completely new version
* Thu Jan 02 1997 - bs@suse.de
  moved configuration files to aaa_base.tgz
